<template>
  <q-page class="">
    <div>
      <q-btn :to="{ name: 'profile.events.organised' }" class="q-px-none" label="Назад" flat icon="arrow_back" no-caps color="grey-7" />
      <span style="margin-left: 40px; color: #D8D8D8;">Новое событие</span>
    </div>
    <q-input class="q-mb-sm q-mt-md" v-model="event.name" label="Наименование" maxlength="50" counter />
    <q-input class="q-mb-sm" v-model="event.description" label="Описание" type="textarea" maxlength="300" counter />
    <q-input class="q-mb-xl" v-model="event.address" label="Адрес" />
    <q-input flat v-model="event.date_start" class="q-mb-lg" label="Время начала">
      <template v-slot:prepend>
        <q-icon name="event" class="cursor-pointer">
          <q-popup-proxy transition-show="scale" transition-hide="scale">
            <q-date v-model="event.date_start" mask="YYYY-MM-DD HH:mm" />
          </q-popup-proxy>
        </q-icon>
      </template>

      <template v-slot:append>
        <q-icon name="access_time" class="cursor-pointer">
          <q-popup-proxy transition-show="scale" transition-hide="scale">
            <q-time v-model="event.date_start" mask="YYYY-MM-DD HH:mm" format24h />
          </q-popup-proxy>
        </q-icon>
      </template>
    </q-input>
    <q-input flat v-model="event.date_end" class="q-mb-xl" label="Время окончания">
      <template v-slot:prepend>
        <q-icon name="event" class="cursor-pointer">
          <q-popup-proxy transition-show="scale" transition-hide="scale">
            <q-date v-model="event.date_end" mask="YYYY-MM-DD HH:mm" />
          </q-popup-proxy>
        </q-icon>
      </template>
      <template v-slot:append>
        <q-icon name="access_time" class="cursor-pointer">
          <q-popup-proxy transition-show="scale" transition-hide="scale">
            <q-time v-model="event.date_end" mask="YYYY-MM-DD HH:mm" format24h />
          </q-popup-proxy>
        </q-icon>
      </template>
    </q-input>
    <q-uploader
        url="http://localhost:4444/upload"
        class="full-width q-mb-md"
        type="number"
        flat
        bordered
        label="Фото-превью"
    />
    <q-input bottom-slots v-model="event.reward" label="Награда" :dense="dense">
      <template v-slot:before>
        <q-icon name="img:statics/images/coin.svg" />
      </template>
    </q-input>
    <q-input class="q-mb-xl" type="textarea" v-model="event.reward_add" label="Дополнительная награда" hint="Поощрение от себя по желанию" />
    <q-btn class="full-width q-py-md" :disable="!isEnabled" label="Сохранить" unelevated no-caps color="primary" @click="saveEvent()" />
  </q-page>
</template>

<script>
export default {
  name: 'Create',
  data () {
    return {
      event: {
        name: null,
        description: null,
        address: null,
        reward: null,
        date_end: null,
        date_start: null,
        reward_add: null
      }
    }
  },
  computed: {
    isEnabled: () =>
      event.name &&
      event.description &&
      event.address &&
      event.reward &&
      event.date_end &&
      event.date_start &&
      event.reward_add
  },
  methods: {
    saveEvent () {
      alert('Заполните все поля!')
    }
  }
}
</script>

<style scoped>

</style>
